import Request from '@/utils/request/request-util';

/**
 * low_code 业务分类api
 *
 */
export class BusinessCategoryApi {
  /**
   * 添加
   * @param {*} params
   * @returns
   */
  static add(params) {
    return Request.post('/businessCategory/add', params);
  }
  /**
   * 编辑
   * @param {*} params
   * @returns
   */
  static edit(params) {
    return Request.post('/businessCategory/edit', params);
  }
  /**
   * 删除单个
   * @param {*} params
   * @returns
   */
  static delete(params) {
    return Request.post('/businessCategory/delete', params);
  }
  /**
   * 详情
   * @param {*} params
   * @returns
   */
  static detail(params) {
    return Request.getAndLoadData('/businessCategory/detail', params);
  }
  /**
   * 列表
   * @param {*} params
   * @returns
   */
  static list(params) {
    return Request.getAndLoadData('/businessCategory/list', params);
  }

  /**
   * 列表
   * @param {*} params
   * @returns
   */
  static getBusinessTree(params) {
    return Request.getAndLoadData('/businessCategory/getBusinessTree', params);
  }
}
